> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/log-analysis/enterprise/list-orgs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # List all accounts GET https://api.mezmo.com/v1/enterprise/account Retrieves a list of all child organizations that belong to the enterprise. Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/enterprise/list-orgs ## Authentication - `enterprise-servicekey` header (required) — When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key. ## Response ### 200 A list of child organizations is returned on success. - `list of enterpriseResource` ## Errors ### 400 Bad Request Error A poorly formatted request returns with a `BadRequest` code. - `error` (string, optional) — A human-readable description of the error - `code` (string, optional) — A unique code for the type of error - `status` (string, optional) — The status of the request ## Types ### enterpriseResource - `account` (string, optional) — Account number of the organization - `enterprise` (string, optional) — Unique Id of the enterprise organization - `retention` (integer, optional) — Current retention period selected for the child organization - `owner` (string, optional) — The email of a user to be given owner privileges of an account. - `retentionPeriods` (list of integer, optional) — Available log retention options for the child organization - `plan` (string, optional) — The name of a plan. - `servicekey` (string, optional) — A secret key which can be used to authenticate requests to Mezmo. ## Examples **Response** ```json [ { "account": "0000000000", "enterprise": "0000000000", "retention": 7, "owner": "owner@example.org", "retentionPeriods": [ 7 ], "plan": "enterprise", "servicekey": "7b273eb8adc962f2711ad760730debb0" } ] ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v1/enterprise/account" headers = {"enterprise-servicekey": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v1/enterprise/account'; const options = {method: 'GET', headers: {'enterprise-servicekey': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v1/enterprise/account" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("enterprise-servicekey", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v1/enterprise/account") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["enterprise-servicekey"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mezmo.com/v1/enterprise/account") .header("enterprise-servicekey", "") .asString(); ``` ```php request('GET', 'https://api.mezmo.com/v1/enterprise/account', [ 'headers' => [ 'enterprise-servicekey' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v1/enterprise/account"); var request = new RestRequest(Method.GET); request.AddHeader("enterprise-servicekey", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["enterprise-servicekey": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/enterprise/account")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```